View Issue Details

IDProjectCategoryLast Update
0012355Bionic Dues[All Projects] GUISep 28, 2013 1:59 pm
ReporterGrimerXAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.907 Start Of Alpha Round 2 
Fixed in Version0.926 
Summary0012355: First game yeilded only 2 paths -- one that told me not to take it.
DescriptionSelect firefight mission because the other says 'very hard, don't try'. surprised to find one of two missions available that I am told not to do, but maybe that will make sense later.

It was both surprising as a new player, and also limiting for any player.
TagsNo tags attached.
Internal WeightMajor Problem

Activities

x4000Bughunter

Sep 17, 2013 12:49 pm

administrator   ~0033814

Thanks!

* Salvage, Assassination, Lion's Den, Bahamut, and Robot Command Center missions are no longer allowed to seed directly next to the home command of the humans, as that makes the start of the game far too constrained.

Winge

Sep 18, 2013 6:20 pm

reporter  

WingeExpert02.save (5,549 bytes)

Winge

Sep 18, 2013 6:20 pm

reporter   ~0033861

FYI: Bahamut seeded next to home in version 0.915. Not sure if expert difficulty has anything to do with that.

windgen

Sep 27, 2013 7:22 pm

reporter   ~0034223

Last edited: Sep 27, 2013 7:26 pm

View 2 revisions

This bug appeared again in 0.925. I'm going to post on the forum as well. See attachments "bug12355-925.png" and "bug12355-925.save".

EDIT: Happened in the very next game as well, posted as bug12355-925b.save.

windgen

Sep 27, 2013 7:24 pm

reporter  

bug12355-925.png (3,582,189 bytes)

windgen

Sep 27, 2013 7:25 pm

reporter  

bug12355-925.save (6,623 bytes)

windgen

Sep 27, 2013 7:27 pm

reporter  

bug12355-925b.save (6,668 bytes)

x4000Bughunter

Sep 27, 2013 7:27 pm

administrator   ~0034224

Grr. Keith, can you look and see what I did wrong there? I was trying to integrate my changes with your algorithm, but apparently did not do it right.

keith.lamothe

Sep 28, 2013 1:35 am

administrator   ~0034242

For 0.926:

* Made several changes to city mapgen's choices of what type to make each node, mainly for the benefit of the player's initial position (enough choices, and not putting the wrong stuff too close to the HQ), but also to make blockade placement more interesting and so on.

Thanks :)

Arnos

Sep 28, 2013 1:59 pm

reporter   ~0034253

Should a blockade show up next to home as one of the first two choice? It's a bit off-putting.

Issue History

Date Modified Username Field Change
Sep 13, 2013 12:10 am GrimerX New Issue
Sep 13, 2013 4:44 pm tigersfan Internal Weight => For New Player Experience
Sep 13, 2013 4:44 pm tigersfan Assigned To => x4000Bughunter
Sep 13, 2013 4:44 pm tigersfan Status new => assigned
Sep 17, 2013 12:49 pm x4000Bughunter Note Added: 0033814
Sep 17, 2013 12:49 pm x4000Bughunter Status assigned => resolved
Sep 17, 2013 12:49 pm x4000Bughunter Fixed in Version => 0.913
Sep 17, 2013 12:49 pm x4000Bughunter Resolution open => fixed
Sep 18, 2013 6:20 pm Winge File Added: WingeExpert02.save
Sep 18, 2013 6:20 pm Winge Note Added: 0033861
Sep 27, 2013 7:22 pm windgen Note Added: 0034223
Sep 27, 2013 7:24 pm windgen File Added: bug12355-925.png
Sep 27, 2013 7:25 pm windgen File Added: bug12355-925.save
Sep 27, 2013 7:26 pm windgen Note Edited: 0034223 View Revisions
Sep 27, 2013 7:27 pm windgen File Added: bug12355-925b.save
Sep 27, 2013 7:27 pm x4000Bughunter Note Added: 0034224
Sep 27, 2013 7:27 pm x4000Bughunter Assigned To x4000Bughunter => keith.lamothe
Sep 27, 2013 7:27 pm x4000Bughunter Status resolved => confirmed
Sep 27, 2013 7:27 pm x4000Bughunter Internal Weight For New Player Experience => Major Problem
Sep 28, 2013 1:35 am keith.lamothe Note Added: 0034242
Sep 28, 2013 1:35 am keith.lamothe Status confirmed => resolved
Sep 28, 2013 1:35 am keith.lamothe Fixed in Version 0.913 => 0.926
Sep 28, 2013 1:59 pm Arnos Note Added: 0034253
Apr 14, 2014 9:28 am x4000Bughunter Category Bug - UI => GUI